Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.tree
Class WideTreeCellEditor

    java.lang.Object
      |
      +--javax.swing.tree.DefaultTreeCellEditor
            |
            +--com.smardec.asc.tree.WideTreeCellEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, javax.swing.CellEditor, java.util.EventListener, javax.swing.tree.TreeCellEditor, javax.swing.event.TreeSelectionListener

public class WideTreeCellEditor
extends javax.swing.tree.DefaultTreeCellEditor

A `DefaultTreeCellEditor` that allows to create editors using all width of the `JTree`.

Sample usage:

        jTree.setCellEditor(new WideTreeCellEditor(jTree));

Field Summary

Fields inherited from class javax.swing.tree.DefaultTreeCellEditor
`borderSelectionColor, canEdit, editingComponent, editingContainer, editingIcon, font, lastPath, lastRow, offset, realEditor, renderer, timer, tree`

Constructor Summary
`WideTreeCellEditor(javax.swing.JTree tree)` Creates `WideTreeCellEditor` object for a `JTree`.
`WideTreeCellEditor(javax.swing.JTree tree, javax.swing.tree.DefaultTreeCellRenderer renderer)` Creates `WideTreeCellEditor` object for a `JTree` using the specified renderer.
`WideTreeCellEditor(javax.swing.JTree tree, javax.swing.tree.DefaultTreeCellRenderer renderer, javax.swing.tree.TreeCellEditor editor)` Creates `WideTreeCellEditor` object for a `JTree` using the specified renderer and the specified editor.

Method Summary
`java.awt.Component` | `getTreeCellEditorComponent(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)` Returns the component for editing tree cell.

Methods inherited from class javax.swing.tree.DefaultTreeCellEditor
`actionPerformed, addCellEditorListener, cancelCellEditing, canEditImmediately, createContainer, createTreeCellEditor, determineOffset, getBorderSelectionColor, getCellEditorListeners, getCellEditorValue, getFont, inHitRegion, isCellEditable, prepareForEditing, removeCellEditorListener, setBorderSelectionColor, setFont, setTree, shouldSelectCell, shouldStartEditingTimer, startEditingTimer, stopCellEditing, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WideTreeCellEditor

    public WideTreeCellEditor(javax.swing.JTree tree)

  Creates `WideTreeCellEditor` object for a `JTree`.

Parameters:
  `tree` - `JTree` object

### WideTreeCellEditor

    public WideTreeCellEditor(javax.swing.JTree tree,
                              javax.swing.tree.DefaultTreeCellRenderer renderer)

  Creates `WideTreeCellEditor` object for a `JTree` using the specified renderer.

Parameters:
  `tree` - `JTree` object
  `renderer` - `DefaultTreeCellRenderer` object

### WideTreeCellEditor

    public WideTreeCellEditor(javax.swing.JTree tree,
                              javax.swing.tree.DefaultTreeCellRenderer renderer,
                              javax.swing.tree.TreeCellEditor editor)

  Creates `WideTreeCellEditor` object for a `JTree` using the specified renderer and the specified editor.

Parameters:
  `tree` - `JTree` object
  `renderer` - `DefaultTreeCellRenderer` object
  `editor` - `TreeCellEditor` object

Method Detail

### getTreeCellEditorComponent

    public java.awt.Component getTreeCellEditorComponent(javax.swing.JTree tree,
                                                         java.lang.Object value,
                                                         boolean isSelected,
                                                         boolean expanded,
                                                         boolean leaf,
                                                         int row)

  Returns the component for editing tree cell.

  Specified by:
    `getTreeCellEditorComponent` in interface `javax.swing.tree.TreeCellEditor`
  Overrides:
    `getTreeCellEditorComponent` in class `javax.swing.tree.DefaultTreeCellEditor`
  Parameters:
    `tree` - the JTree that is asking the editor to edit
    `value` - the value of the cell to be edited
    `isSelected` - true is the cell is to be renderer with selection highlighting
    `expanded` - true if the node is expanded
    `leaf` - true if the node is a leaf node
    `row` - the row index of the node being edited
  Returns:
    the component for editing.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.